summaryrefslogtreecommitdiffstats
path: root/source/n/wpa_supplicant
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/wpa_supplicant')
-rw-r--r--source/n/wpa_supplicant/fi.epitest.hostap.WPASupplicant.service4
-rw-r--r--source/n/wpa_supplicant/hostap-07.git-b80b5639935d37b95d00f86b57f2844a9c775f57.patch61
-rwxr-xr-xsource/n/wpa_supplicant/wpa_supplicant.SlackBuild17
-rw-r--r--source/n/wpa_supplicant/wpa_supplicant.defconfig2
4 files changed, 80 insertions, 4 deletions
diff --git a/source/n/wpa_supplicant/fi.epitest.hostap.WPASupplicant.service b/source/n/wpa_supplicant/fi.epitest.hostap.WPASupplicant.service
new file mode 100644
index 000000000..e8b4250b4
--- /dev/null
+++ b/source/n/wpa_supplicant/fi.epitest.hostap.WPASupplicant.service
@@ -0,0 +1,4 @@
+[D-BUS Service]
+Name=fi.epitest.hostap.WPASupplicant
+Exec=/usr/sbin/wpa_supplicant -u
+User=root
diff --git a/source/n/wpa_supplicant/hostap-07.git-b80b5639935d37b95d00f86b57f2844a9c775f57.patch b/source/n/wpa_supplicant/hostap-07.git-b80b5639935d37b95d00f86b57f2844a9c775f57.patch
new file mode 100644
index 000000000..4c5002003
--- /dev/null
+++ b/source/n/wpa_supplicant/hostap-07.git-b80b5639935d37b95d00f86b57f2844a9c775f57.patch
@@ -0,0 +1,61 @@
+From b80b5639935d37b95d00f86b57f2844a9c775f57 Mon Sep 17 00:00:00 2001
+From: Dan Williams <dcbw@redhat.com>
+Date: Fri, 17 Dec 2010 15:56:01 +0200
+Subject: [PATCH] dbus: Emit property changed events when adding/removing BSSes
+
+The supplicant was not emitting property changed events when the BSSs
+property changed.
+
+Signed-off-by: Dan Williams <dcbw@redhat.com>
+(cherry picked from commit 1e6288df6b07a353a9246b77e0de2a840b5f2c72)
+---
+ wpa_supplicant/dbus/dbus_new.c | 6 ++++++
+ wpa_supplicant/dbus/dbus_new.h | 1 +
+ 2 files changed, 7 insertions(+), 0 deletions(-)
+
+diff --git a/wpa_supplicant/dbus/dbus_new.c b/wpa_supplicant/dbus/dbus_new.c
+index bdfbbac..c66640a 100644
+--- a/wpa_supplicant/dbus/dbus_new.c
++++ b/wpa_supplicant/dbus/dbus_new.c
+@@ -691,6 +691,10 @@ void wpas_dbus_signal_prop_changed(struct wpa_supplicant *wpa_s,
+ wpas_dbus_getter_current_network;
+ prop = "CurrentNetwork";
+ break;
++ case WPAS_DBUS_PROP_BSSS:
++ getter = (WPADBusPropertyAccessor) wpas_dbus_getter_bsss;
++ prop = "BSSs";
++ break;
+ default:
+ wpa_printf(MSG_ERROR, "dbus: %s: Unknown Property value %d",
+ __func__, property);
+@@ -1199,6 +1203,7 @@ int wpas_dbus_unregister_bss(struct wpa_supplicant *wpa_s,
+ }
+
+ wpas_dbus_signal_bss_removed(wpa_s, bss_obj_path);
++ wpas_dbus_signal_prop_changed(wpa_s, WPAS_DBUS_PROP_BSSS);
+
+ return 0;
+ }
+@@ -1263,6 +1268,7 @@ int wpas_dbus_register_bss(struct wpa_supplicant *wpa_s,
+ }
+
+ wpas_dbus_signal_bss_added(wpa_s, bss_obj_path);
++ wpas_dbus_signal_prop_changed(wpa_s, WPAS_DBUS_PROP_BSSS);
+
+ return 0;
+
+diff --git a/wpa_supplicant/dbus/dbus_new.h b/wpa_supplicant/dbus/dbus_new.h
+index 80ea98c..9cdefcb 100644
+--- a/wpa_supplicant/dbus/dbus_new.h
++++ b/wpa_supplicant/dbus/dbus_new.h
+@@ -30,6 +30,7 @@ enum wpas_dbus_prop {
+ WPAS_DBUS_PROP_STATE,
+ WPAS_DBUS_PROP_CURRENT_BSS,
+ WPAS_DBUS_PROP_CURRENT_NETWORK,
++ WPAS_DBUS_PROP_BSSS,
+ };
+
+ enum wpas_dbus_bss_prop {
+--
+1.7.4-rc1
+
diff --git a/source/n/wpa_supplicant/wpa_supplicant.SlackBuild b/source/n/wpa_supplicant/wpa_supplicant.SlackBuild
index b3acc5834..8bbf01db6 100755
--- a/source/n/wpa_supplicant/wpa_supplicant.SlackBuild
+++ b/source/n/wpa_supplicant/wpa_supplicant.SlackBuild
@@ -23,7 +23,7 @@
PKGNAM=wpa_supplicant
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -95,6 +95,8 @@ find . \
# "s/^#define VERSION_STR \"\(.*\)\"/#define VERSION_STR \"\1_$VERSION\"/" \
# src/common/version.h
+zcat $CWD/hostap-07.git-b80b5639935d37b95d00f86b57f2844a9c775f57.patch.gz | patch -p1 --verbose || exit 1
+
# The source code has been re-organized:
cd wpa_supplicant
@@ -146,8 +148,16 @@ cp wpa_gui-qt4/wpa_gui $PKG/usr/bin/
# Install dbus configuration file:
mkdir -p $PKG/etc/dbus-1/system.d/
-cp dbus-wpa_supplicant.conf \
- $PKG/etc/dbus-1/system.d/dbus-wpa_supplicant.conf.new
+cp dbus/dbus-wpa_supplicant.conf \
+ $PKG/etc/dbus-1/system.d/dbus-wpa_supplicant.conf
+
+# This file should actually be shipped with Slackware's wpa_supplicant
+# package, but since we missed it there (just kidding), we'll do it here:
+mkdir -p $PKG/usr/share/dbus-1/system-services
+install -m644 dbus/{fi.epitest.hostap.WPASupplicant.service,fi.w1.wpa_supplicant1.service} \
+ $PKG/usr/share/dbus-1/system-services/
+sed -e 's#Exec=/sbin/wpa_supplicant#Exec=/usr/sbin/wpa_supplicant#g' \
+ -i $PKG/usr/share/dbus-1/system-services/*.service
# Install a .desktop file for wpa_gui:
mkdir -p $PKG/usr/share/applications
@@ -226,7 +236,6 @@ config() {
done
}
config etc/wpa_supplicant.conf.new
-config etc/dbus-1/system.d/dbus-wpa_supplicant.conf.new
EOINS
diff --git a/source/n/wpa_supplicant/wpa_supplicant.defconfig b/source/n/wpa_supplicant/wpa_supplicant.defconfig
index 4241be9f7..2c530fdc2 100644
--- a/source/n/wpa_supplicant/wpa_supplicant.defconfig
+++ b/source/n/wpa_supplicant/wpa_supplicant.defconfig
@@ -23,3 +23,5 @@ CONFIG_READLINE=y
CONFIG_BACKEND=file
CONFIG_PEERKEY=y
CONFIG_CTRL_IFACE_DBUS=y
+CONFIG_CTRL_IFACE_DBUS_NEW=y
+CONFIG_CTRL_IFACE_DBUS_INTRO=y